﻿using igGridWithCascadingComboBoxes.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace igGridWithCascadingComboBoxes.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View(GetOrders().AsQueryable());
        }

        private List<Order> GetOrders() 
        {
            List<Order> orderList = new List<Order>();
            //orderList.Add(new Order() { OrderID = 1, ProductID = 0, Price = 2.5, Quantity = 1, isActive=true });
            //orderList.Add(new Order() { OrderID = 2, ProductID = 1, Price = 2.5, Quantity = 1,isActive=false });
            //orderList.Add(new Order() { OrderID = 3, ProductID = 2, Price = 3.5, Quantity = 1 , isActive=true});
            //orderList.Add(new Order() { OrderID = 4, ProductID = 3, Price = 20.9, Quantity = 1, isActive=false });
            //orderList.Add(new Order() { OrderID = 5, ProductID = 4, Price = 19.9, Quantity = 1,isActive=false });
            //orderList.Add(new Order() { OrderID = 6, ProductID = 5, Price = 22.99, Quantity = 1, isActive = true });
            //orderList.Add(new Order() { OrderID = 7, ProductID = 6, Price = 22.8, Quantity = 1,isActive=false });
            //orderList.Add(new Order() { OrderID = 8, ProductID = 7, Price = 2.5, Quantity = 1, isActive = true });
            //orderList.Add(new Order() { OrderID = 9, ProductID = 8, Price = 3.5, Quantity = 1, isActive=false });

            orderList.Add(new Order() {  ProductID = 0, Price = 2.5 , isActive = true });
            orderList.Add(new Order() {  ProductID = 1, Price = 2.5, isActive = false });
            orderList.Add(new Order() { ProductID = 2, Price = 3.5, isActive = true });
            orderList.Add(new Order() {  ProductID = 3, Price = 20.9, isActive = false });
            orderList.Add(new Order() {  ProductID = 4, Price = 19.9, isActive = false });
            orderList.Add(new Order() { ProductID = 5, Price = 22.99, isActive = true });
            orderList.Add(new Order() { ProductID = 6, Price = 22.8,  isActive = false });
            orderList.Add(new Order() { ProductID = 7, Price = 2.5,  isActive = true });
            orderList.Add(new Order() {  ProductID = 8, Price = 3.5,  isActive = false });
            return orderList;
        }

    }
}
